
QGIS Application - Bug report #8380

 Opening D&D form crashes QGIS

2013-07-29 09:12 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17153

Description

    -  open a large PostGIS layer (30k polygons)

    -  create a simple Drag&Drop form

    -  open the Info tool

    -  click on a geom

    -  click on Actions>Geometry view form

    -  crash with:

Exception executing sql:  must be member of role "postgres" 

Warning: Cannot open file '/images/themes/default/mActionDeleteSelected.svg', because: No such file or directory

Warning: Cannot open file '/images/themes/default/mActionDeleteSelected.svg', because: No such file or directory

Warning: Cannot open file '/images/themes/default/mActionZoomToSelected.svg', because: No such file or directory

Warning: Cannot open file '/images/themes/default/mActionZoomToSelected.svg', because: No such file or directory

Warning: QLayout: Cannot add null widget to QVBoxLayout/mAttributeEditorLayout

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

WARNING:  there is no transaction in progress

Exception executing sql:  syntax error at or near "$1" 

RIGA 1: INSERT INTO iso_metadata(md_scope,  $1 , fileid, parentid, g...

                                            ^

QUERY: INSERT INTO iso_metadata(md_scope,  $1 , fileid, parentid, geometry) VALUES('undefined', XMLPARSE(DOCUMENT

 $1 ),  $2 ,  $3 ,  $4 )

CONTESTO: SQL statement in PL/PgSQL function "registerisometadata" near line 31

Exception executing sql:  must be member of role "postgres" 

Exception executing sql:  syntax error at or near "$1" 

RIGA 1: INSERT INTO iso_metadata(md_scope,  $1 , fileid, parentid, g...

                                            ^

QUERY: INSERT INTO iso_metadata(md_scope,  $1 , fileid, parentid, geometry) VALUES('undefined', XMLPARSE(DOCUMENT

 $1 ),  $2 ,  $3 ,  $4 )

CONTESTO: SQL statement in PL/PgSQL function "registerisometadata" near line 31

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Exception executing sql:  must be member of role "postgres" 
Exception executing sql:  must be member of role "postgres" 

Debug: "layerid = intersezione20130729160050518" 

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Warning: QFont::setPointSize: Point size <= 0 (0), must be greater than 0

Fatal: QGIS died on signal 11

Stacktrace (piped through c++filt):

Annullato

paolo@felis:~$ /usr/bin/qgis.bin(dumpBacktrace()+0x66)[0x4eb6d6]

/usr/bin/qgis.bin(myMessageOutput(QtMsgType, char const*)+0x42)[0x4eb792]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qt_message_output(QtMsgType, char const*)+0x21)[0x7fb07b3c7831]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(+0x70c79)[0x7fb07b3c7c79]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(qFatal(char const*, ...)+0x94)[0x7fb07b3c8484]

/lib/x86_64-linux-gnu/libc.so.6(+0x35260)[0x7fb0783f0260]

/usr/lib/libqgis_gui.so.1.9.0(QgsAttributeEditor::createWidgetFromDef(QgsAttributeEditorElement const*, QWidget*,

QgsVectorLayer*, QVector<QVariant>&, QMap<int, QWidget*>&, bool)+0xe2)[0x7fb07c0cebc2]

/usr/lib/libqgis_gui.so.1.9.0(QgsAttributeEditor::createWidgetFromDef(QgsAttributeEditorElement const*, QWidget*,

QgsVectorLayer*, QVector<QVariant>&, QMap<int, QWidget*>&, bool)+0x346)[0x7fb07c0cee26]

/usr/lib/libqgis_gui.so.1.9.0(QgsAttributeDialog::QgsAttributeDialog(QgsVectorLayer*, QgsFeature*, bool, QgsDistanceArea,

QWidget*, bool)+0x3b95)[0x7fb07c0d3f25]

/usr/bin/qgis.bin(QgsFeatureAction::newDialog(bool)+0x178)[0x5c58f8]

/usr/bin/qgis.bin(QgsFeatureAction::viewFeatureForm(QgsHighlight*)+0x1c)[0x5c5c9c]

/usr/bin/qgis.bin(QgsIdentifyResultsDialog::featureForm()+0x1b2)[0x5bdc52]

/usr/bin/qgis.bin(QgsIdentifyResultsDialog::itemClicked(QTreeWidgetItem*, int)+0x1b5)[0x5c25c5]

/usr/bin/qgis.bin[0x7b5e9a]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2d8)[0x7fb07b4e5cf8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeWidget::itemClicked(QTreeWidgetItem*, int)+0x40)[0x7fb07adda8f0]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QMetaObject::activate(QObject*, QMetaObject const*, int,

void**)+0x2d8)[0x7fb07b4e5cf8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::clicked(QModelIndex const&)+0x25)[0x7fb07ad685f5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::mouseReleaseEvent(QMouseEvent*)+0x148)[0x7fb07ad687a8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QWidget::event(QEvent*)+0xace)[0x7fb07a8c4d0e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QFrame::event(QEvent*)+0x1e)[0x7fb07ac6295e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QAbstractItemView::viewportEvent(QEvent*)+0x1d3)[0x7fb07ad719e3]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QTreeView::viewportEvent(QEvent*)+0x30)[0x7fb07adb08d0]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,

QEvent*)+0x86)[0x7fb07b4d1cc6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x6c)[0x7fb07a8756ec]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::notify(QObject*, QEvent*)+0x3ad)[0x7fb07a87bebd]

/usr/lib/libqgis_core.so.1.9.0(QgsApplication::notify(QObject*, QEvent*)+0x5b)[0x7fb07c658aab]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::notifyInternal(QObject*, QEvent*)+0x6d)[0x7fb07b4d1b5d]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool)+0x153)[0x7fb07a87b673]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2403cb)[0x7fb07a8ed3cb]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(QApplication::x11ProcessEvent(_XEvent*)+0x5fc)[0x7fb07a8ebe3c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x266792)[0x7fb07a913792]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x146)[0x7fb076cefea6]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x481f8)[0x7fb076cf01f8]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fb076cf029c]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x65)[0x7fb07b4fece5]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x266846)[0x7fb07a913846]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fb07b4d07bf]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7fb07b4d0ab5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x8b)[0x7fb07b4d60fb]
/usr/bin/qgis.bin(main+0x2215)[0x4e73f5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fb0783dc995]
/usr/bin/qgis.bin[0x4eb208]


5)[0x7fb07b4fece5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x266846)[0x7fb07a913846]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0x2f)[0x7fb07b4d07bf]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7fb07b4d0ab5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x8b)[0x7fb07b4d60fb]
/usr/bin/qgis.bin(main+0x2215)[0x4e73f5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fb0783dc995]
/usr/bin/qgis.bin[0x4eb208]


b4d07bf]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x175)[0x7fb07b4d0ab5]
/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x8b)[0x7fb07b4d60fb]
/usr/bin/qgis.bin(main+0x2215)[0x4e73f5]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fb0783dc995]
/usr/bin/qgis.bin[0x4eb208]


]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(QCoreApplication::exec()+0x8b)[0x7fb07b4d60fb]

/usr/bin/qgis.bin(main+0x2215)[0x4e73f5]

/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf5)[0x7fb0783dc995]

/usr/bin/qgis.bin[0x4eb208]

Associated revisions

Revision 65ac5a71 - 2013-07-29 09:10 PM - Matthias Kuhn

Drag and drop editor: Don't crash with hidden field (Fix #8380)

History

#1 - 2013-07-29 09:39 AM - Matthias Kuhn

- Status changed from Open to Feedback

Could you add the project file?

So far, I don't think there's the need for actual data.

#2 - 2013-07-29 10:38 AM - Paolo Cavallini

- File test.qgs added

Here it is, db credentials removed

#3 - 2013-07-29 10:41 AM - Paolo Cavallini

Same data, exported as shp, no crash.

#4 - 2013-07-29 12:11 PM - Matthias Kuhn

- Status changed from Feedback to Closed

Fixed in changeset commit:"65ac5a715e7cb6e84acb29f48d339b75cd06fc52".

#5 - 2013-08-02 10:51 AM - Paolo Cavallini

Thanks Matthias

Files

test.qgs 17.6 KB 2013-07-29 Paolo Cavallini
